local group = vim.api.nvim_create_augroup("clints_custom_autocmds", { clear = true })
-- vim.api.nvim_create_autocmd("BufEnter", { command = "echo 'Hello'", group = group })

-- for a moment, highlight the text that was yanked
vim.api.nvim_create_autocmd('TextYankPost', {
	group    = group,
	pattern  = '*',
	callback = function() vim.highlight.on_yank { timeout = 500 } end
})

-- upon opening a markdown file, start a preview in a browser (this is annoying)
vim.api.nvim_create_autocmd('BufEnter', {
	pattern = "*.md",
	group = group,
	command = "MarkdownPreview",
})

-- when opening a python file, try to start the virtualenv of the current project
